Bug 1279941 - crash because kernel >= 4.2 spews numerous vfs/mm warnings and eventually passes garbage to dm_any_congested
crash because kernel >= 4.2 spews numerous vfs/mm warnings and eventually pas...
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 09:35 EST by Zdenek Kabelac
Modified: 2015-11-12 05:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2015-11-10 09:35:44 EST
Description of problem:

Recent >=4.2 kernel starts to shown this message:

;BUG: unable to handle kernel paging request at 00000000740105d8
;IP: [<ffffffff815fd946>] dm_any_congested+0x26/0x50

Here is the log from lvm2 test suite - where this issue is occasionally hit
with execution of  fsadm.sh  test - so far no reliable way how to hit
issue is known to me - so not really easy way to bisect.

##fsadm.sh:80+ t=
#fsadm.sh:81+ test -z ''
#fsadm.sh:81+ return 0
#fsadm.sh:95+ mkfs.ext2 -b4096 -j @TESTDIR@/dev/@PREFIX@vg/LV1
mke2fs 1.42.13 (17-May-2015)
Discarding device blocks: done                            
Creating filesystem with 5120 4k blocks and 5120 inodes

Allocating group tables: done                            
4,6676,333898161907,-;------------[ cut here ]------------
4,6677,333898161921,-;WARNING: CPU: 0 PID: 13924 at fs/fs-writeback.c:2065 __mark_inode_dirty+0x22d/0x2f0()
4,6678,333898161924,-;bdi-block not registered
4,6679,333898161926,c;Modules linked in: uas usb_storage dm_thin_pool raid10 dm_cache_cleaner dm_cache_smq dm_cache_mq raid1 dm_raid raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq dm_cache dm_persistent_data dm_bio_prison libcrc32c dm_delay mt7601u ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_analog snd_hda_codec_generic e1000e coretemp ptp kvm_intel pps_core arc4 kvm iTCO_wdt iTCO_vendor_support iwl3945 iwlegacy ppdev mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev cfg80211 i2c_i801 snd_pcm r592 lpc_ich memstick snd_timer shpchp thinkpad_acpi
4,6680,333898162045,+; wmi snd soundcore rfkill fjes parport_pc tpm_tis parport tpm acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd grace sunrpc loop i915 serio_raw sdhci_pci sdhci mmc_core ata_generic pata_acpi i2c_algo_bit drm_kms_helper yenta_socket drm video
4,6681,333898162081,-;CPU: 0 PID: 13924 Comm: mkfs.ext2 Tainted: G        W       4.3.0-0.rc7.git2.2.fc24.x86_64 #1
4,6682,333898162085,-;Hardware name: LENOVO 6464CTO/6464CTO, BIOS 7LETC9WW (2.29 ) 03/18/2011
4,6683,333898162087,-; 0000000000000000 00000000ef86a572 ffff880092e7bb38 ffffffff813a496f
4,6684,333898162092,-; ffff880092e7bb80 ffff880092e7bb70 ffffffff8109f122 0000000000000000
4,6685,333898162097,-; ffff88002a5701e0 ffff88002a0bb4f0 0000000000000000 0000000000000000
4,6686,333898162102,-;Call Trace:
4,6687,333898162107,-; [<ffffffff813a496f>] dump_stack+0x44/0x55
4,6688,333898162112,-; [<ffffffff8109f122>] warn_slowpath_common+0x82/0xc0
4,6689,333898162116,-; [<ffffffff8109f1bc>] warn_slowpath_fmt+0x5c/0x80
4,6690,333898162120,-; [<ffffffff8124be5d>] ? locked_inode_to_wb_and_lock_list+0x4d/0xc0
4,6691,333898162124,-; [<ffffffff8124f28d>] __mark_inode_dirty+0x22d/0x2f0
4,6692,333898162128,-; [<ffffffff81256a5a>] mark_buffer_dirty+0x8a/0x100
4,6693,333898162132,-; [<ffffffff8125720a>] __block_commit_write.isra.22+0x7a/0xb0
4,6694,333898162136,-; [<ffffffff81258573>] block_write_end+0x33/0x70
4,6695,333898162140,-; [<ffffffff81259576>] ? block_write_begin+0x46/0x80
4,6696,333898162144,-; [<ffffffff8125b9a0>] blkdev_write_end+0x20/0x40
4,6697,333898162148,-; [<ffffffff811a41d4>] generic_perform_write+0x114/0x1c0
4,6698,333898162153,-; [<ffffffff811a6622>] __generic_file_write_iter+0x1a2/0x1e0
4,6699,333898162156,-; [<ffffffff8125c4bf>] blkdev_write_iter+0x8f/0x130
4,6700,333898162161,-; [<ffffffff812220b9>] __vfs_write+0xc9/0x110
4,6701,333898162165,-; [<ffffffff81222736>] vfs_write+0xa6/0x1a0
4,6702,333898162170,-; [<ffffffff812235a5>] SyS_pwrite64+0x95/0xb0
4,6703,333898162174,-; [<ffffffff8177eeee>] entry_SYSCALL_64_fastpath+0x12/0x71
4,6704,333898162178,-;---[ end trace 92b721476767fb4f ]---
Writing inode tables: done                            
Creating journal (1024 blocks): done
Writing superblocks and filesystem accounting information: done

#fsadm.sh:97+ fsadm --lvresize resize @PREFIX@vg/LV1 30M
<- request="hello"
-> response = "OK"
-> protocol = "lvmetad"
-> version = 1
-> 
...

vg_clear_outdated_pvs vgid fQyjPq-U8kL-RcXP-NedM-qkms-jEsc-X1Tdoj
-> response = "OK"
-> 
fsck from util-linux 2.27.1
@TESTDIR@/dev/mapper/@PREFIX@vg-LV1: clean, 11/5120 files, 1196/5120 blocks
4,6705,333898288160,-;------------[ cut here ]------------
4,6706,333898288179,-;WARNING: CPU: 1 PID: 13961 at fs/fs-writeback.c:2065 __mark_inode_dirty+0x22d/0x2f0()
4,6707,333898288183,-;bdi-block not registered
<- request="vg_update"
<- vgname="@PREFIX@vg"
<- metadata {
4,6708,333898288185,c;Modules linked in: uas usb_storage dm_thin_pool raid10 dm_cache_cleaner dm_cache_smq dm_cache_mq raid1 dm_raid raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq dm_cache dm_persistent_data dm_bio_prison libcrc32c dm_delay mt7601u ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_analog snd_hda_codec_generic e1000e coretemp ptp kvm_intel pps_core arc4 kvm iTCO_wdt iTCO_vendor_support iwl3945 iwlegacy ppdev mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev cfg80211 i2c_i801 snd_pcm r592 lpc_ich memstick snd_timer shpchp thinkpad_acpi
4,6709,333898288299,+; wmi snd soundcore rfkill fjes parport_pc tpm_tis parport tpm acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd grace sunrpc loop i915 serio_raw sdhci_pci sdhci mmc_core ata_generic pata_acpi i2c_algo_bit drm_kms_helper yenta_socket drm video
4,6710,333898288347,-;CPU: 1 PID: 13961 Comm: fsck.ext3 Tainted: G        W       4.3.0-0.rc7.git2.2.fc24.x86_64 #1
4,6711,333898288351,-;Hardware name: LENOVO 6464CTO/6464CTO, BIOS 7LETC9WW (2.29 ) 03/18/2011
4,6712,333898288355,-; 0000000000000000 00000000abc90311 ffff880092f2fb38 ffffffff813a496f
4,6713,333898288362,-; ffff880092f2fb80 ffff880092f2fb70 ffffffff8109f122 0000000000000000
4,6714,333898288368,-; ffff88002a5701e0 ffff88002a0bb4f0 0000000000000000 0000000000000000
4,6715,333898288374,-;Call Trace:
4,6716,333898288381,-; [<ffffffff813a496f>] dump_stack+0x44/0x55
4,6717,333898288388,-; [<ffffffff8109f122>] warn_slowpath_common+0x82/0xc0
4,6718,333898288393,-; [<ffffffff8109f1bc>] warn_slowpath_fmt+0x5c/0x80
4,6719,333898288398,-; [<ffffffff8124be5d>] ? locked_inode_to_wb_and_lock_list+0x4d/0xc0
4,6720,333898288403,-; [<ffffffff8124f28d>] __mark_inode_dirty+0x22d/0x2f0
4,6721,333898288409,-; [<ffffffff81256a5a>] mark_buffer_dirty+0x8a/0x100
4,6722,333898288414,-; [<ffffffff8125720a>] __block_commit_write.isra.22+0x7a/0xb0
4,6723,333898288419,-; [<ffffffff81258573>] block_write_end+0x33/0x70
4,6724,333898288423,-; [<ffffffff81259576>] ? block_write_begin+0x46/0x80
4,6725,333898288429,-; [<ffffffff8125b9a0>] blkdev_write_end+0x20/0x40
4,6726,333898288435,-; [<ffffffff811a41d4>] generic_perform_write+0x114/0x1c0
4,6727,333898288440,-; [<ffffffff811a6622>] __generic_file_write_iter+0x1a2/0x1e0
4,6728,333898288449,-; [<ffffffff8125c4bf>] blkdev_write_iter+0x8f/0x130
4,6729,333898288453,-; [<ffffffff812220b9>] __vfs_write+0xc9/0x110
4,6730,333898288456,-; [<ffffffff81222736>] vfs_write+0xa6/0x1a0
4,6731,333898288459,-; [<ffffffff812235a5>] SyS_pwrite64+0x95/0xb0
4,6732,333898288463,-; [<ffffffff8177eeee>] entry_SYSCALL_64_fastpath+0x12/0x71
4,6733,333898288465,-;---[ end trace 92b721476767fb50 ]---
<- 	id="fQyjPq-U8kL-RcXP-NedM-qkms-jEsc-X1Tdoj"
<- 	seqno=4
<- 	format="lvm2"
<- 	status=["RESIZEABLE","READ","WRITE"]
<- 	flags=[]
<- 	extent_size=1024
<- 	max_lv=0


  Size of logical volume @PREFIX@vg/LV1 changed from 20.00 MiB (40 extents) to 30.00 MiB (60 extents).
  WARNING: This metadata update is NOT backed up
resize2fs 1.42.13 (17-May-2015)
Resizing the filesystem on @TESTDIR@/dev/mapper/@PREFIX@vg-LV1 to 7680 (4k) blocks.
The filesystem on @TESTDIR@/dev/mapper/@PREFIX@vg-LV1 is now 7680 (4k) blocks long.

4,6734,333898361211,-;------------[ cut here ]------------
4,6735,333898361225,-;WARNING: CPU: 1 PID: 13981 at fs/fs-writeback.c:2065 __mark_inode_dirty+0x22d/0x2f0()
4,6736,333898361228,-;bdi-block not registered
4,6737,333898361230,c;Modules linked in: uas usb_storage dm_thin_pool raid10 dm_cache_cleaner dm_cache_smq dm_cache_mq raid1 dm_raid raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq dm_cache dm_persistent_data dm_bio_prison libcrc32c dm_delay mt7601u ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_analog snd_hda_codec_generic e1000e coretemp ptp kvm_intel pps_core arc4 kvm iTCO_wdt iTCO_vendor_support iwl3945 iwlegacy ppdev mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev cfg80211 i2c_i801 snd_pcm r592 lpc_ich memstick snd_timer shpchp thinkpad_acpi
4,6738,333898361311,+; wmi snd soundcore rfkill fjes parport_pc tpm_tis parport tpm acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd grace sunrpc loop i915 serio_raw sdhci_pci sdhci mmc_core ata_generic pata_acpi i2c_algo_bit drm_kms_helper yenta_socket drm video
4,6739,333898361346,-;CPU: 1 PID: 13981 Comm: resize2fs Tainted: G        W       4.3.0-0.rc7.git2.2.fc24.x86_64 #1
4,6740,333898361349,-;Hardware name: LENOVO 6464CTO/6464CTO, BIOS 7LETC9WW (2.29 ) 03/18/2011
4,6741,333898361352,-; 0000000000000000 00000000339b290b ffff88005b53bb38 ffffffff813a496f
4,6742,333898361357,-; ffff88005b53bb80 ffff88005b53bb70 ffffffff8109f122 0000000000000000
4,6743,333898361362,-; ffff88002a5701e0 ffff88002a0bb4f0 0000000000000000 0000000000000000
4,6744,333898361366,-;Call Trace:
4,6745,333898361372,-; [<ffffffff813a496f>] dump_stack+0x44/0x55
4,6746,333898361377,-; [<ffffffff8109f122>] warn_slowpath_common+0x82/0xc0
4,6747,333898361380,-; [<ffffffff8109f1bc>] warn_slowpath_fmt+0x5c/0x80
4,6748,333898361385,-; [<ffffffff8124be5d>] ? locked_inode_to_wb_and_lock_list+0x4d/0xc0
4,6749,333898361389,-; [<ffffffff8124f28d>] __mark_inode_dirty+0x22d/0x2f0
4,6750,333898361393,-; [<ffffffff81256a5a>] mark_buffer_dirty+0x8a/0x100
4,6751,333898361397,-; [<ffffffff8125720a>] __block_commit_write.isra.22+0x7a/0xb0
4,6752,333898361401,-; [<ffffffff81258573>] block_write_end+0x33/0x70
4,6753,333898361404,-; [<ffffffff81259576>] ? block_write_begin+0x46/0x80
4,6754,333898361408,-; [<ffffffff8125b9a0>] blkdev_write_end+0x20/0x40
4,6755,333898361413,-; [<ffffffff811a41d4>] generic_perform_write+0x114/0x1c0
4,6756,333898361417,-; [<ffffffff811a6622>] __generic_file_write_iter+0x1a2/0x1e0
4,6757,333898361420,-; [<ffffffff811a6277>] ? generic_file_read_iter+0x537/0x5c0
4,6758,333898361424,-; [<ffffffff8125c4bf>] blkdev_write_iter+0x8f/0x130
4,6759,333898361429,-; [<ffffffff812220b9>] __vfs_write+0xc9/0x110
4,6760,333898361433,-; [<ffffffff81222736>] vfs_write+0xa6/0x1a0
4,6761,333898361437,-; [<ffffffff812235a5>] SyS_pwrite64+0x95/0xb0
4,6762,333898361442,-; [<ffffffff8177eeee>] entry_SYSCALL_64_fastpath+0x12/0x71
4,6763,333898361445,-;---[ end trace 92b721476767fb51 ]---
  Logical volume LV1 successfully resized.
#fsadm.sh:99+ not fsadm -y --lvresize resize @TESTDIR@/dev/@PREFIX@vg/LV1 4M
<- request="hello"
-> response = "OK"

...

-> seqno_before = -1
-> seqno_after = 6
-> 
  Size of logical volume @PREFIX@vg/LV1 changed from 40.00 MiB (80 extents) to 10.00 MiB (20 extents).
  WARNING: This metadata update is NOT backed up
  Logical volume LV1 successfully resized.
#fsadm.sh:103+ fscheck_ext3
#fsadm.sh:60+ fsck.ext3 -p -F -f @TESTDIR@/dev/@PREFIX@vg/LV1
/home/kabi/export/lvm2/test/shell/fsadm.sh: line 59: 14141 Killed                  fsck.ext3 -p -F -f "$dev_vg_lv"
set +vx; STACKTRACE; set -vx
##fsadm.sh:60+ set +vx
## - /home/kabi/export/lvm2/test/shell/fsadm.sh:60
## 0 STACKTRACE() called from lib/utils:60
## 1 fscheck_ext3() called from /home/kabi/export/lvm2/test/shell/fsadm.sh:103
;BUG: unable to handle kernel paging request at 00000000740105d8
;IP: [<ffffffff815fd946>] dm_any_congested+0x26/0x50
;PGD 0 
;Oops: 0000 [#1] SMP 
;Modules linked in: uas usb_storage dm_thin_pool raid10 dm_cache_cleaner dm_cache_smq dm_cache_mq raid1 dm_raid raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq dm_cache dm_persistent_data dm_bio_prison libcrc32c dm_delay mt7601u ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_analog snd_hda_codec_generic e1000e coretemp ptp kvm_intel pps_core arc4 kvm iTCO_wdt iTCO_vendor_support iwl3945 iwlegacy ppdev mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev cfg80211 i2c_i801 snd_pcm r592 lpc_ich memstick snd_timer shpchp thinkpad_acpi
; wmi snd soundcore rfkill fjes parport_pc tpm_tis parport tpm acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd grace sunrpc loop i915 serio_raw sdhci_pci sdhci mmc_core ata_generic pata_acpi i2c_algo_bit drm_kms_helper yenta_socket drm video
;CPU: 1 PID: 14141 Comm: fsck.ext3 Tainted: G        W       4.3.0-0.rc7.git2.2.fc24.x86_64 #1
;Hardware name: LENOVO 6464CTO/6464CTO, BIOS 7LETC9WW (2.29 ) 03/18/2011
;task: ffff88007cef8000 ti: ffff8801020d4000 task.ti: ffff8801020d4000
;RIP: 0010:[<ffffffff815fd946>]  [<ffffffff815fd946>] dm_any_congested+0x26/0x50
;RSP: 0018:ffff8801020d7d20  EFLAGS: 00010202
;RAX: 0000000000000002 RBX: 0000000000000000 RCX: 0000000600007301
;RDX: 0000000074010070 RSI: 0000000000000002 RDI: ffff880128fa8800
;RBP: ffff8801020d7d40 R08: 0000000000000001 R09: 0000000000000001
;R10: ffff8801020d7d08 R11: 0000000000000246 R12: ffff88002a0bb4f0
;R13: ffff8800b0e1cf00 R14: ffff8800b0e1cfa0 R15: ffff88002a0bb658
;FS:  00007fdabbb4b780(0000) GS:ffff88013bd00000(0000) knlGS:0000000000000000
;CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
;CR2: 00000000740105d8 CR3: 000000012f1fe000 CR4: 00000000000006e0
;Stack:
; ffffffff8124baf5 ffff88002a0bb658 0000000000000001 0000000000000001
; ffff8801020d7d78 ffffffff811b3383 ffff88002a0bb658 ffff8800b0e1cf00
; ffff8801020d7e88 ffffea00026ddf80 0000000000000001 ffff8801020d7e30
;Call Trace:
; [<ffffffff8124baf5>] ? inode_congested+0x55/0x100
; [<ffffffff811b3383>] page_cache_async_readahead+0x43/0x70
; [<ffffffff811a6131>] generic_file_read_iter+0x3f1/0x5c0
; [<ffffffff811b533e>] ? lru_cache_add_active_or_unevictable+0x2e/0xc0
; [<ffffffff81227573>] ? cp_new_stat+0x153/0x180
; [<ffffffff8125c595>] blkdev_read_iter+0x35/0x40
; [<ffffffff81221bb6>] __vfs_read+0xc6/0x100
; [<ffffffff812225e3>] vfs_read+0x83/0x130
; [<ffffffff812234f5>] SyS_pread64+0x95/0xb0
; [<ffffffff8177eeee>] entry_SYSCALL_64_fastpath+0x12/0x71
;Code: 00 00 00 00 00 66 66 66 66 90 48 8b 97 48 01 00 00 89 f0 83 e2 01 75 38 48 8b 8f 08 01 00 00 48 85 c9 74 1c 48 8b 97 50 01 00 00 <48> 8b b2 68 05 00 00 f7 c6 00 08 00 00 74 07 23 82 e8 01 00 00 
;RIP  [<ffffffff815fd946>] dm_any_congested+0x26/0x50
; RSP <ffff8801020d7d20>
;CR2: 00000000740105d8
;---[ end trace 92b721476767fb57 ]---
| <======== Debug log debug.log* ========>

Version-Release number of selected component (if applicable):
Kernel 4.3.0-0.rc7.git2.2.fc24.x86_64 

How reproducible:


Steps to Reproduce:
1. run lvm2 test suite repeatedly
2. hope it gets triggered at some point in time - may take days...
3.

Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2015-11-11 03:00:15 EST
Might help also the fact -  I've started to see this with kernel  4.3.0-0.rc5.git0.1.fc24.x86_64.

We also have a report of user experiencing troubles with 4.2.4 kernel
on different HW  (mine is C2D Lenovo T61)

https://www.redhat.com/archives/dm-devel/2015-November/msg00100.html

(copy&paste of stack trace)

BUG: unable to handle kernel NULL pointer dereference at 00000000000004f0
IP: [<ffffffff818637c6>] dm_any_congested+0x26/0x50
PGD 1afdc6067 PUD 5106e8067 PMD 0
Oops: 0000 [#1] SMP
CPU: 2 PID: 4277 Comm: dd Tainted: G        W       4.2.4 #1
Hardware name: HP ProLiant DL360 G5, BIOS P58 04/26/2010
task: ffff88080b41a400 ti: ffff8800caae8000 task.ti: ffff8800caae8000
RIP: 0010:[<ffffffff818637c6>]  [<ffffffff818637c6>] dm_any_congested+0x26/0x50
RSP: 0018:ffff8800caaebcf0  EFLAGS: 00010206
RAX: 0000000000000002 RBX: ffff88080ac30770 RCX: 6b7369440f000000
RDX: 0000000000000000 RSI: 0000000000000002 RDI: ffff880805a34800
RBP: ffff8800caaebd28 R08: 0000000000000100 R09: 0000000000000100
R10: 0000000000000200 R11: ffff8800caaebcf0 R12: 0000000000000000
R13: ffff88001b7b0d00 R14: ffffea00138c6340 R15: ffff8800caaebe80
FS:  00007f1f99c91740(0000) GS:ffff88082fa80000(0000) knlGS:0000000000000000
CS:  0010 DS:0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000000004f0 CR3: 00000002254cb000 CR4: 00000000000026e0
Stack:
ffffffff81200798 ffff8800caaebd18 ffffffff8116a18e 0000000000000000
ffff88001b7b0da0 ffff88080ac308d8 ffff88001b7b0d00 ffff8800caaebd68
ffffffff8117629e 0000000000000292 0000000000000100 0000000000000100
Call Trace:
[<ffffffff81200798>] ? inode_congested+0x58/0x120
[<ffffffff8116a18e>] ? find_get_entry+0x1e/0x80
[<ffffffff8117629e>] page_cache_async_readahead+0x4e/0x70
[<ffffffff8116b211>] generic_file_read_iter+0x391/0x5b0
[<ffffffff8120c677>] blkdev_read_iter+0x37/0x40
[<ffffffff811d7757>] __vfs_read+0xa7/0xd0
[<ffffffff811d7802>] vfs_read+0x82/0x130
[<ffffffff811d7c76>] SyS_read+0x46/0xb0
[<ffffffff81a7556e>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 80 00 00 00 00 66 66 66 66 90 48 8b 97 28 01 00 00 89 f0 83 e2 01 75 38 48 8b 8f e8 00 00 00 48 85 c9 74 1c 48 8b 97 30 01 00 00 <48> 8b b2 f0 04 00 00 f7 c6 00 08 00 00 74 07 23 82 d0 01 00 00
RIP [<ffffffff818637c6>] dm_any_congested+0x26/0x50
RSP <ffff8800caaebcf0>
CR2: 00000000000004f0 2015-11-10T02:03:26+00:00 ring kernel: [1251477.601561] 



general protection fault: 0000 [#2] SMP
CPU: 7 PID: 4806 Comm: dd Tainted: G      D W       4.2.4 #1
Hardware name: HP ProLiant DL360 G5, BIOS P58 04/26/2010
task: ffff88019b6c9800 ti: ffff88062c96c000 task.ti: ffff88062c96c000
RIP: 0010:[<ffffffff818637c6>]  [<ffffffff818637c6>] dm_any_congested+0x26/0x50
RSP: 0018:ffff88062c96fcf0  EFLAGS: 00010206
RAX: 0000000000000002 RBX: ffff88080ac30770 RCX: 6566667542207972
RDX: 1b0a1bbb00007972 RSI: 0000000000000002 RDI: ffff880805a34800
RBP: ffff88062c96fd28 R08: 0000000000000100 R09: 0000000000000100
R10: 0000000000000200 R11: ffff88062c96fcf0 R12: 0000000000000000
R13: ffff88080587ec00 R14: ffffea001699af40 R15: ffff88062c96fe80
FS:  00007f0dc3de2740(0000) GS:ffff88082fbc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000b768a0a0 CR3: 00000000cab12000 CR4: 00000000000026e0
Stack:
ffffffff81200798 ffff88062c96fd18 ffffffff8116a18e 0000000000000000 
ffff88080587eca0 ffff88080ac308d8 ffff88080587ec00 ffff88062c96fd68
ffffffff8117629e 0000000000000001 0000000000000100 0000000000000100
Call Trace:
[<ffffffff81200798>] ? inode_congested+0x58/0x120 
[<ffffffff8116a18e>] ? find_get_entry+0x1e/0x80
[<ffffffff8117629e>] page_cache_async_readahead+0x4e/0x70
[<ffffffff8116b211>] generic_file_read_iter+0x391/0x5b0
[<ffffffff8120c677>] blkdev_read_iter+0x37/0x40
[<ffffffff811d7757>] __vfs_read+0xa7/0xd0
[<ffffffff811d7802>] vfs_read+0x82/0x130
[<ffffffff811d7c76>] SyS_read+0x46/0xb0
[<ffffffff81a7556e>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 80 00 00 00 00 66 66 66 66 90 48 8b 97 28 01 00 00 89 f0 83 e2 01 75 38 48 8b 8f e8 00 00 00 48 85 c9 74 1c 48 8b 97 30 01 00 00 <48> 8b b2 f0 04 00 00 f7 c6 00 08 00 00 74 07 23 82 d0 01 00 00
RIP [<ffffffff818637c6>] dm_any_congested+0x26/0x50
 RSP <ffff88062c96fcf0>
Comment 2 Zdenek Kabelac 2015-11-12 05:10:24 EST
As of today -  I've get the congested report just by pure 'dd' write to dm device (dd if="$dev" of="$dev.backup" bs=1024)
and AFAIK no extX  filesystem is involved.

So I'd say the Oops message is not related to filesystem warn reporting.


#inconsistent-metadata.sh:20+ lvchange -a n @PREFIX@vg/mirror
aux backup_dev $(cat DEVICES)
##inconsistent-metadata.sh:22+ cat DEVICES
#inconsistent-metadata.sh:22+ aux backup_dev @TESTDIR@/dev/mapper/@PREFIX@pv1 @TESTDIR@/dev/mapper/@PREFIX@pv2 @TESTDIR@/dev/mapper/@PREFIX@pv3
/home/kabi/export/lvm2/test/lib/aux: line 752: 22038 Killed                  dd if="$dev" of="$dev.backup" bs=1024
BUG: unable to handle kernel paging request at ffffffff00000638
IP: [<ffffffff815fd946>] dm_any_congested+0x26/0x50
PGD 1c0e067 PUD 0 
Oops: 0000 [#4] SMP 
Modules linked in: raid0 uas usb_storage dm_thin_pool raid10 dm_cache_cleaner dm_cache_smq dm_cache_mq raid1 dm_raid raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq dm_cache dm_persistent_data dm_bio_prison libcrc32c dm_delay mt7601u ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_analog snd_hda_codec_generic e1000e coretemp ptp kvm_intel pps_core arc4 kvm iTCO_wdt iTCO_vendor_support iwl3945 iwlegacy ppdev mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev cfg80211 i2c_i801 snd_pcm r592 lpc_ich memstick snd_timer shpchp thinkpad_acpi
 wmi snd soundcore rfkill fjes parport_pc tpm_tis parport tpm acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd grace sunrpc loop i915 serio_raw sdhci_pci sdhci mmc_core ata_generic pata_acpi i2c_algo_bit drm_kms_helper yenta_socket drm video
CPU: 1 PID: 22038 Comm: dd Tainted: G      D W       4.3.0-0.rc7.git2.2.fc24.x86_64 #1
Hardware name: LENOVO 6464CTO/6464CTO, BIOS 7LETC9WW (2.29 ) 03/18/2011
task: ffff880128ce3980 ti: ffff88002a480000 task.ti: ffff88002a480000
RIP: 0010:[<ffffffff815fd946>]  [<ffffffff815fd946>] dm_any_congested+0x26/0x50
RSP: 0018:ffff88002a483d20  EFLAGS: 00010206
RAX: 0000000000000002 RBX: 0000000000000000 RCX: 0000000000100100
RDX: ffffffff000000d0 RSI: 0000000000000002 RDI: ffff88004c7e1000
RBP: ffff88002a483d40 R08: 0000000000000001 R09: 0000000000000001
R10: ffff88002a483d08 R11: 0000000000000246 R12: ffff88002a0bb830
R13: ffff88004d337400 R14: ffff88004d3374a0 R15: ffff88002a0bb998
FS:  00007fdf271c9700(0000) GS:ffff88013bd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffffffff00000638 CR3: 00000000b6df6000 CR4: 00000000000006e0
Stack:
 ffffffff8124baf5 ffff88002a0bb998 0000000000000001 0000000000000001
 ffff88002a483d78 ffffffff811b3383 ffff88002a0bb998 ffff88004d337400
 ffff88002a483e88 ffffea0000dbd380 0000000000000001 ffff88002a483e30
Call Trace:
 [<ffffffff8124baf5>] ? inode_congested+0x55/0x100
 [<ffffffff811b3383>] page_cache_async_readahead+0x43/0x70
 [<ffffffff811a6131>] generic_file_read_iter+0x3f1/0x5c0
 [<ffffffff8125c595>] blkdev_read_iter+0x35/0x40
 [<ffffffff81221bb6>] __vfs_read+0xc6/0x100
 [<ffffffff812225e3>] vfs_read+0x83/0x130
 [<ffffffff81223335>] SyS_read+0x55/0xc0
 [<ffffffff8177eeee>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 00 00 00 00 00 66 66 66 66 90 48 8b 97 48 01 00 00 89 f0 83 e2 01 75 38 48 8b 8f 08 01 00 00 48 85 c9 74 1c 48 8b 97 50 01 00 00 <48> 8b b2 68 05 00 00 f7 c6 00 08 00 00 74 07 23 82 e8 01 00 00 
RIP  [<ffffffff815fd946>] dm_any_congested+0x26/0x50
 RSP <ffff88002a483d20>
CR2: ffffffff00000638
---[ end trace 92b721476767fb6c ]---

Note You need to log in before you can comment on or make changes to this bug.